package com.lovenav.service;

import com.lovenav.entity.UrlList;

import java.util.List;

public interface UrlListService {

    public int selectCateAndInsertUrl(String parent,String name , String icon ,String url ,String email );
    public List<UrlList> selectUrList();
    public UrlList selectUrListByInput(String input);
    public UrlList selectUrlListByUrlId(Long urlId);

    public int updateUrlStatusListById(UrlList urlList);

    public List<UrlList> selectUrListByNeedLogin();
    public int insertUrlByUser(UrlList urlList);
    public int deleteByPrimaryKey(Long id);

    public int deleteByCateId(Long id);
}
